#ifndef __MSGCOM_H
#define __MSGCOM_H

#include "sockcomp.h"
#include "msgcom.h"

// Send a message (network ordered long length, length bytes of message)
int sendMSG(t_sock, void *, int);

// Receive a message
int recvMSG(t_sock, void **, int, int *);

// Send a string of long integers
int sendLongMSG(t_sock s, long *buf, int n);

// Send a string of doubles
int sendDoubleMSG(t_sock s, double *buf, int n);

// Receive a string of long integers
int recvLongMSG(t_sock s, long **buf, int create, int *n);

// Receive a string of doubles
int recvDoubleMSG(t_sock s, double **buf, int create, int *n);

#endif
